Package org.eclipse.lemminx.settings.capabilities

## Enum CompletionResolveSupportProperty

- java.lang.Object
- - java.lang.Enum<CompletionResolveSupportProperty>
  - - org.eclipse.lemminx.settings.capabilities.CompletionResolveSupportProperty

All Implemented Interfaces:
  `Serializable`, `Comparable<CompletionResolveSupportProperty>`

    public enum CompletionResolveSupportProperty
    extends Enum<CompletionResolveSupportProperty>

Property for completion resolve support.

### Enum Constant Summary

Enum Constants
`additionalTextEdits`
`detail`
`documentation`

### Method Summary

All Methods Static Methods Concrete Methods
`static CompletionResolveSupportProperty` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CompletionResolveSupportProperty[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### documentation

    public static final CompletionResolveSupportProperty documentation

#### additionalTextEdits

    public static final CompletionResolveSupportProperty additionalTextEdits

#### detail

    public static final CompletionResolveSupportProperty detail

### Method Detail

#### values

    public static CompletionResolveSupportProperty[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CompletionResolveSupportProperty c : CompletionResolveSupportProperty.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CompletionResolveSupportProperty valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null